org.apache.ignite.internal.processors.cluster

## Class ClientGetClusterStateComputeRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.cluster.ClientGetClusterStateComputeRequest

All Implemented Interfaces:
  Serializable, Callable<ClusterState>, IgniteCallable<ClusterState>

    @GridInternal
    public class ClientGetClusterStateComputeRequest
    extends Object
    implements IgniteCallable<ClusterState>

Request for getting cluster state on client node.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ClientGetClusterStateComputeRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ClusterState` `call()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientGetClusterStateComputeRequest

    public ClientGetClusterStateComputeRequest()

### Method Detail

#### call

    public ClusterState call()
                      throws Exception

Specified by:
  `call` in interface `Callable<ClusterState>`
Throws:
  `Exception`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020